'use strict'

/** @type {import('@adonisjs/lucid/src/Schema')} */
const Schema = use('Schema');

class CallSchema extends Schema {
  up() {
    this.create('calls', (table) => {
      table.increments();
      table.string('state').notNullable();
      table.bigInteger('parent_id').notNullable();
      table.bigInteger('guest_id').notNullable();
      table.bigInteger('child_id').notNullable();
      table.timestamps();
      table.index(['child_id']);
      table.index(['parent_id']);
      table.index(['guest_id']);
    })
  }

  down() {
    this.drop('calls');
  }
}

module.exports = CallSchema;
